#if !defined(AFX_TELNET_H__40B3A930_FBA5_11D6_AB39_0050BAF0607F__INCLUDED_)
#define AFX_TELNET_H__40B3A930_FBA5_11D6_AB39_0050BAF0607F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Telnet.h : header file
//

#define NET_OFF 0
#define NET_LISTENING 1
#define NET_CONNECTED 2
#define NET_SEND 3
#define NET_ERROR 4

/////////////////////////////////////////////////////////////////////////////
// Telnet command target

class Telnet : public CAsyncSocket
{
// Attributes
public:
	int m_NetStatus;
	CString m_ConnectedPeer;
	CString m_ReadLine;
	bool m_Echo;
	int m_Channel; // 0 - 15
	LPCTSTR m_lpszHostAddress;
	UINT m_nHostPort;


// Operations
public:
	Telnet();
	virtual ~Telnet();

// Overrides
public:
	void StartSocketThread();
	bool StartSocketConnect(LPCTSTR lpszHostAddress, UINT nHostPort );
	bool StartSocketListen(short int portID);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(Telnet)
	public:
	virtual void OnAccept(int nErrorCode);
	virtual void OnConnect(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	virtual void OnReceive(int nErrorCode);
	virtual void OnSend(int nErrorCode);
	virtual int Receive(void* lpBuf, int nBufLen, int nFlags = 0);
	virtual int Send(const void* lpBuf, int nBufLen, int nFlags = 0);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(Telnet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TELNET_H__40B3A930_FBA5_11D6_AB39_0050BAF0607F__INCLUDED_)
