#if !defined(AFX_RTTYSCHEDULE_H__EDD71F66_FA81_11D3_A248_0000C07AF277__INCLUDED_)
#define AFX_RTTYSCHEDULE_H__EDD71F66_FA81_11D3_A248_0000C07AF277__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// RTTYSchedule.h : header file
//
//#include "RTTYAppDlg.h"

/////////////////////////////////////////////////////////////////////////////
// RTTYSchedule dialog

class RTTYSchedule : public CDialog
{
// Construction
public:
	BOOL Create();
	RTTYSchedule(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(RTTYSchedule)
	enum { IDD = IDD_DIALOGEDITOR };
	CButton	Modified;
	CSliderCtrl	Slider;
	CEdit	EditDur;
	CEdit	Filter;
	CEdit	EditDisplay;
	CEdit	EditSaveBox;
	CButton	CanEdit;
	CButton	AutoTime;
	CComboBox	FileList;
	CListBox	ListBox;
	CEdit	ScheduleTime;
	CEdit	ScheduleDate;
	CEdit	ScheduleAdd;
	CString	FilterValue;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(RTTYSchedule)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual void Save(char * filename);
	virtual void Load(char * schedulefilename);
	virtual void FileDirectory();
	virtual int PrintFile(char * fname);

	CWnd* m_pParent;
	int m_nID;


	// Generated message map functions
	//{{AFX_MSG(RTTYSchedule)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnInsertat();
	afx_msg void OnDblclkListbox();
	afx_msg void OnDelete();
	afx_msg void OnReplace();
	afx_msg void OnAutotime();
	afx_msg void OnCanedit();
	afx_msg void OnSave();
	afx_msg void OnDropdownFilelist();
	afx_msg void OnSelchangeFilelist();
	afx_msg void OnSaveSchedule();
	afx_msg void OnEditclear();
	afx_msg void OnRefresh();
	afx_msg void OnReleasedcaptureSlider1(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RTTYSCHEDULE_H__EDD71F66_FA81_11D3_A248_0000C07AF277__INCLUDED_)
