// ProcThread.h: interface for the CProcThread class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROCTHREAD_H__90325EE3_B196_11D3_A2A3_00A0C996E7F5__INCLUDED_)
#define AFX_PROCTHREAD_H__90325EE3_B196_11D3_A2A3_00A0C996E7F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#include "stdafx.h"
//#include "WSCGen.h"
//#include "WSCGenDlg.h"
#include "..\resource.h"
#include "..\RTTYSchedule.h"
#include "..\RTTYAppDlg.h"
//#include "WSCGen.h"
#include "Generators.h"
//#include "PSKGen.h"
//#include "SSTVGen.h"
//#include "400BPSK.h"
#include "MSKGen.h"
#include "Sound.h"
//#include "Wave.h"


class CProcThread  
{
public:
	void MSK_xmit(int ch);
	void CalcSNR();
	CProcThread();
	virtual ~CProcThread();
	void ProcessLoop();
	void StartThread(void* pDlg);
	void StopThread();
//	BOOL m_fProcThreadQuit;			// signal to thread to quit

private:
	void StopMyself();
	void DeleteResources();
	void DisplayError( INT ErrorCode );
	double CalcRMS(double* buf, INT bufsize);
//variables
//	CWSCGenDlg* m_pDlg;
	CRTTYAppDlg* m_pDlg;
	CWinThread *m_pProcThread;

	double* m_pOutBuf;
	double m_SignalAmplitude;
	double m_NoiseAmplitude;
	double	m_SNRatio;

	CSound* m_pSoundDev;			//object pointers
//	CWave* m_pWaveDev;
	CGenerators* m_pGenSrc;
//	CPSKGen* m_pPSKSrc;
//	CSSTVGen* m_pSSTVSrc;
//	C400BPSK* m_p400BPSKSrc;
	CMSKGen* m_pMSKSrc;
};

#endif // !defined(AFX_PROCTHREAD_H__90325EE3_B196_11D3_A2A3_00A0C996E7F5__INCLUDED_)
